Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
identity-memberships
/
{identityId}
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/identity-memberships/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "no-access",
  "roles": [
    {
      "role": "<string>",
      "isTemporary": false
    }
  ]
}
'
{
  "identityMembership": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required
identityId
string
required

Body

application/json
role
string
default:no-access
roles
object[]

A list of role slugs to assign to the newly created identity project membership.

Response

Default Response

identityMembership
object
required